Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parameter jalur
name
string
diperlukan
Name of the model.
version
string
diperlukan
Version of the model.
Isi Permintaan
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
diperlukan
The type of pending upload. Only TemporaryBlobReference is supported for models.
Respons
The request has succeeded.
Isi
blobReference
BlobReference
diperlukan
Blob reference details.
blobUri
string
diperlukan
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
diperlukan
ARM ID of the storage account to use.
credential
SasCredential
diperlukan
SAS Credential definition
sasUri
string
diperlukan
SAS uri
type
enum
diperlukan
Type of credential
pendingUploadId
string
diperlukan
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
diperlukan
The type of pending upload. Only TemporaryBlobReference is supported for models.
Minta
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json